Subject: Re: [PATCHv3] git-tag man: when to use lightweight or annotated tags

From: Daniele Segato <[email-masked]>
Date: Mon, 29 Jul 2013 20:16:03 +0200

On 07/27/2013 01:45 PM, Stefan Beller wrote:
> On 07/27/2013 01:26 PM, Philip Oakley wrote:
>
>> Try 'git format-patch' and 'git send-email'. The format-patch man page
>> even has a note about Thunderbird corruptions.
>>
>> Philip
>>
>
> Well I use Thunderbird as well for regular communication except for
> sending patches.
> The kernel documentation has also some words about Thunderbird
> https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/Documentation/email-clients.txt
>
> Given so many steps, I also configured git send-email, which makes
> sure that patches are uncorrupted.
> For gmail add these lines to your ~/.gitconfig
>
> [sendemail]
[snip]

>
> Then you'd need to have msmtp installed and have the following
> in the file ~/.msmtprc
[snip]
>
> I think it would also work without having git relying on msmtp by now,
> but I'd be too lazy to change my existing working setup.
>

Hi Paolo, Philip, Stefan,

thank you, you've been very kind.
I think I've set it up, I'll try with the next patch, if any!

Regards,
Daniele Segato